Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Class TopLevelResource

    java.lang.Object
      org.pentaho.di.resource.TopLevelResource

    public class TopLevelResource

extends Object

This describes the top level resource after an export

Author:
  matt

Constructor Summary
`TopLevelResource(String baseResourceName, String archiveName, String resourceName)`

Method Summary
`String` | `getArchiveName()`
`String` | `getBaseResourceName()`
`String` | `getResourceName()`
`void` | `setArchiveName(String archiveName)`
`void` | `setBaseResourceName(String baseResourceName)`
`void` | `setResourceName(String resourceName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopLevelResource

    public TopLevelResource(String baseResourceName,
                            String archiveName,
                            String resourceName)

Parameters:
  `baseResourceName` -
  `archiveName` -
  `resourceName` -

Method Detail

### getBaseResourceName

    public String getBaseResourceName()

  Returns:
    the baseResourceName

### setBaseResourceName

    public void setBaseResourceName(String baseResourceName)

  Parameters:
    `baseResourceName` - the baseResourceName to set

### getArchiveName

    public String getArchiveName()

  Returns:
    the archiveName

### setArchiveName

    public void setArchiveName(String archiveName)

  Parameters:
    `archiveName` - the archiveName to set

### getResourceName

    public String getResourceName()

  Returns:
    the resourceName

### setResourceName

    public void setResourceName(String resourceName)

  Parameters:
    `resourceName` - the resourceName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD